#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	TagReader
Summary:	HTML::TagReader - reading HTML/SGML/XML files by tags
Summary(pl.UTF-8):	HTML::TagReader - czytanie plików HTML/SGML/XML po znaczniku
Name:		perl-HTML-TagReader
Version:	1.10
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a8e725be2877306454aecf31132cee08
URL:		http://search.cpan.org/dist/HTML-TagReader/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# for tr_imgaddsize
Requires:	perl-Image-Size >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module implements a fast and small object oriented way of
processing any kind of HTML/SGML/XML files by tag.

The getbytoken(0) is similar to while(<>) but instead of reading lines
it reads tags or tags and text.

HTML::TagReader makes it easy to keep track of the line number in a
file even though you are not reading the file by line. This important
if you want to implement error messages about HTML errors in your
code.

%description -l pl.UTF-8
Ten moduł implementuje szybką, obiektowo zorientowaną metodę
przetwarzania dowolnego rodzaju plików HTML/SGML/XML po znaczniku.

getbytoken(0) jest podobne do while(<>), ale zamiast czytania linii
czyta znaczniki lub znaczniki i tekst.

HTML::TagReader umożliwia łatwe śledzenie numeru linii w pliku nawet
jeśli nie jest on czytany po linii. Jest to ważne przy implementowaniu
komunikatów błędów dotyczących HTML-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/tr_*
%{perl_vendorarch}/HTML/TagReader.pm
%dir %{perl_vendorarch}/auto/HTML/TagReader
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/TagReader/TagReader.so
%{_mandir}/man[13]/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-TagReader.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8845832
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1ff8d85
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> fb46e15
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b73810d
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d48277
- release 2

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 89b164e
- updated to 1.10

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f50c47
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fb324f1
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> a2b66c4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 947e112
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05a9ba3
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 3933cff
- formatting

* Thu Aug 26 2004 Adam Gołębiowski <adamg@pld-linux.org> aea5806
- updated to 1.08

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> f782f66
- license fixes and unification

* Wed Jan 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 73bb708
- new

